import { useCallback, useState } from 'react'; // eslint-disable-next-line

const useSetState = function () {
  let initialState = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  const [state, set] = useState(initialState);
  const setState = useCallback(patch => {
    set(prevState => ({ ...prevState,
      ...(patch instanceof Function ? patch(prevState) : patch)
    }));
  }, [set]);
  return [state, setState];
};

export default useSetState;
//# sourceMappingURL=useSetState.js.map